TTTT Analysis 0.1

Public Member Functions | Static Public Member Functions | Private Member Functions | Static Private Member Functions | Private Attributes | List of all members
fv::CartProduct< FST, SND > Class Template Reference

Calculate the cartesian product of two input vectors. More...

`#include <value.hpp>`

Inheritance diagram for fv::CartProduct< FST, SND >:
[legend]
Collaboration diagram for fv::CartProduct< FST, SND >:
[legend]

## Public Member Functions
| CartProduct (Value< std::vector< FST >> *val1, Value< std::vector< SND >> *val2, const std::string alias="")
Public Member Functions inherited from fv::DerivedValue< std::vector< std::tuple< FST, SND > > >
| DerivedValue (const std::string &name, const std::string &alias="")
void | log ()
std::vector< std::tuple< FST, SND > > & | get_value ()
| Calculate, if necessary, and return the value held by this object.
Public Member Functions inherited from fv::Value< std::vector< std::tuple< FST, SND > > >
| Value (const std::string &name, const std::string &alias="")
void | enable_logging (const std::function< std::string(std::vector< std::tuple< FST, SND > >)> &value_to_string=[](std::vector< std::tuple< FST, SND > >){return "";})
void | disable_logging ()

## Static Public Member Functions
static std::string | fmt_name (Value< std::vector< FST >> *val1, Value< std::vector< SND >> *val2)

## Private Member Functions
void | update_value ()
| Updates the internal value. More...

## Static Private Member Functions
static std::string | calc_name (Value< std::vector< FST >> *val1, Value< std::vector< SND >> *val2)

## Private Attributes
Value< std::vector< FST > > * | val1
Value< std::vector< SND > > * | val2

## Additional Inherited Members
Protected Attributes inherited from fv::DerivedValue< std::vector< std::tuple< FST, SND > > >
std::vector< std::tuple< FST, SND > > | value
Protected Attributes inherited from fv::Value< std::vector< std::tuple< FST, SND > > >
std::function< std::string(std::vector< std::tuple< FST, SND > >)> | value_to_string

## Detailed Description

### template<typename FST, typename SND>
class fv::CartProduct< FST, SND >

Calculate the cartesian product of two input vectors.

## Member Function Documentation

## ◆ update_value()

template<typename FST, typename SND>

void fv::CartProduct< FST, SND >::update_value | ( |  | ) |
| inline private virtual

Updates the internal value.

This function should be overridden by any child class to do the actual work of updating value based on whatever rules the class chooses. Normally, this consists of geting the values from some associated Value objects, doing some calculation on them, and storing the result in value.

Implements fv::DerivedValue< std::vector< std::tuple< FST, SND > > >.

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- /home/caleb/Sources/TTTT/filval/value.hpp